Bug 952646 (CVE-2013-1518) - CVE-2013-1518 OpenJDK: JAXP missing security restrictions (JAXP, 6657673)
Summary: CVE-2013-1518 OpenJDK: JAXP missing security restrictions (JAXP, 6657673)
Status: CLOSED ERRATA
Alias: CVE-2013-1518
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20130416,repor...
Keywords: Security
: CVE-2013-1490 (view as bug list)
Depends On:
Blocks: 906458 950067
TreeView+ depends on / blocked
 
Reported: 2013-04-16 11:08 UTC by Stefan Cornelius
Modified: 2019-06-08 19:31 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-05-15 13:34:59 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0751 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2013-04-17 22:43:48 UTC
Red Hat Product Errata RHSA-2013:0752 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-04-17 22:43:40 UTC
Red Hat Product Errata RHSA-2013:0757 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-11-13 16:10:43 UTC
Red Hat Product Errata RHSA-2013:0758 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2013-11-13 15:57:42 UTC
Red Hat Product Errata RHSA-2013:0770 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2013-04-24 21:57:30 UTC

Description Stefan Cornelius 2013-04-16 11:08:25 UTC
It was discovered that the JAXP component lacked certain security restrictions. An untrusted Java application or applet could possibly use this flaw to bypass Java sandbox restrictions.

Comment 1 Tomas Hoger 2013-04-16 20:40:29 UTC
Public now via Oracle Java SE CPU April 2014:

http://www.oracle.com/technetwork/topics/security/javacpuapr2013-1928497.html

Fixed in Oracle Java SE 7u21 and 6u45.

Comment 2 errata-xmlrpc 2013-04-17 18:46:14 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0752 https://rhn.redhat.com/errata/RHSA-2013-0752.html

Comment 3 errata-xmlrpc 2013-04-17 18:48:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0751 https://rhn.redhat.com/errata/RHSA-2013-0751.html

Comment 4 Stefan Cornelius 2013-04-17 20:40:15 UTC
OpenJDK7 upstream repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jaxp/rev/38d4d23d167c

Comment 5 errata-xmlrpc 2013-04-18 18:26:14 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:0758 https://rhn.redhat.com/errata/RHSA-2013-0758.html

Comment 6 errata-xmlrpc 2013-04-18 18:29:02 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0757 https://rhn.redhat.com/errata/RHSA-2013-0757.html

Comment 7 errata-xmlrpc 2013-04-24 18:00:10 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0770 https://rhn.redhat.com/errata/RHSA-2013-0770.html

Comment 9 Tomas Hoger 2014-02-28 13:23:00 UTC
This is also known as Issue 51 reported by Adam Gowdiak of Security Explorations.  More details in his report and PoC:

http://www.security-explorations.com/materials/SE-2012-01-ORACLE-8.pdf
http://www.security-explorations.com/materials/se-2012-01-50-60.zip

Brief description form the above PDF:

origin:
com.sun.org.apache.xalan.internal.xsltc.trax.TemplatesImpl

cause:
the possibility to define user provided classes in a privileged (no package access in loadClass method) class loader (TransletClassLoader)

impact:
arbitrary access to restricted classes

type:
partial security bypass vulnerability

Comment 10 Tomas Hoger 2014-02-28 13:25:23 UTC
*** Bug 906450 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.